package p3_5;

/*
 * Progetto 5 capitolo 3 del libro Savitch.
 * 
 * VERSIONE IN CUI SI USA UNO SWITCH
 * 
 * Scrivere un programma che permetta all'utente di convertire una temperatura
 * fornita in gradi da Celsius a Farenheit e viceversa.
 * Usare le seguenti formule:
 * gradi_Celsius = 5 (gradi_Farenheit - 32)/9
 * gradi_Farenheit = (9 (gradi_Celsius)/5)+32
 * Si chieda all'utente di scrivere una temperatura e una lettera. 
 * La lettera C o c indica che il valore  in gradi Celsius, la lettera F o f
 * in Farenheit. Si converta la temperatura in gradi Farenheit se si inseriscono
 * i Celsius e viceversa.
 * Se vengono digitate lettere diverse da C, c, F, o f, si mostri un messaggio
 * di errore e si termini il programma.
 */

import java.util.*;
import java.text.*;

public class TemperaturaSwitch {
	
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		DecimalFormat df = new DecimalFormat("0.0");
		
		// acquisizione della temperatura
		System.out.print("Inserire la temperatura, ad es. 30 C o 72 F (C per gradi Celsius, F per Farenheit): ");
		double temperatura = tastiera.nextDouble();
		String gradi = tastiera.next();
		
		// conversione della temperatura
		double nuovaTemperatura;
		char tipoGradi = gradi.charAt(0);
		switch(tipoGradi){
			case 'c':
			case 'C':
				// conversione da Celsius a Farenheit
				nuovaTemperatura = (9 * temperatura / 5) + 32;
				System.out.println("La temperatura convertita e': " + df.format(nuovaTemperatura) + " F");
				break;
			case 'f':
			case 'F':
				// conversione da Farenheit a Celsius
				nuovaTemperatura = 5 * (temperatura - 32) / 9;
				System.out.println("La temperatura convertita e': " + df.format(nuovaTemperatura) + " C");
				break;
			default:
				System.out.println("Errore nell'introduzione della temperatura");
		}
		
		tastiera.close();
	}
}
